Skip to navigation

Validating the beneficiary/bank details

View as Markdown

This endpoint allows you to validate beneficiary/bank details with the use of combination of parameters

Authentication

AuthorizationBearer

All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

Headers

Idempotency-IdstringRequired<=128 characters

Your unique identification for a POST request

  • Maximum length is 128.
  • CitiConnect API responds with an error (HTTP status 4XX) if your POST request idempotency identification value is a duplicate across a recent history of idempotency identifications in Citi’s database.
  • If you don’t receive any response (HTTP status 2XX, 4XX or 5XX) from Citi to your POST request and you wish to retry, reinitiate your request with the same idempotency identification to prevent accidental duplicate payment.

Query parameters

client_idstringRequired
Your unique identification, same as the identification you use for OAuth token generation, Citi shared with you during your CitiConnect API onboarding

Request

This endpoint allows you to validate beneficiary/bank details with the use of combination of parameters

methodobjectRequired
uetrstringOptionalformat: "^[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89ab][a-f0-9]{3}-[a-f0-9]{12}$"

UUID v4 format unique end-to-end transaction reference

end_to_end_idstringOptional1-35 characters

Client provided reference number.

  • For Single Euro Payments Area Verification of Payee (SEPA VoP), this parameter is mandatory with max length 35 if method.penny_test = PENNY
  • For UK bank availability/reachability, this parameter is not applicable
  • For US Early Warning System (EWS), this parameter is not applicable
  • For UK, this parameter is not applicable
  • For IN PAN, this parameter is not applicable
  • For Global Mastercard Validation this parameter is not applicable
debtorobjectOptional
creditorobjectOptional

Response headers

request_idstringOptional
Citi's unique identification for your request

Response

OK
uetrstringformat: "^[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89ab][a-f0-9]{3}-[a-f0-9]{12}$"

UUID v4 format unique end-to-end transaction reference

methodobject
statusobject
end_to_end_idstringOptional1-35 characters

Client provided reference number.

  • For SEPA VoP, this parameter is optional with max length 35
  • For UK bank availability/reachability, this parameter is not applicable
  • For US EWS, this parameter is not applicable
  • For UK, this parameter is not applicable
  • For IN PAN, this parameter is not applicable
  • For Global Mastercard validation, this parameter is not applicable
debtorobjectOptional
creditorobjectOptional
reasonsobjectOptional
responseobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
415
Unsupported Media Type Error
500
Internal Server Error